Get a Team

get https://app.mk.io/api/v1/organization/teams/:team_name

Returns details of a single Team

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

team_name string Required

Response

200 The team
kindstringOptional
The kind of record.
metadataobjectTeamMetadataSchemaRequired
Team metadata.
Show 2 propertiesHide 2 properties
idstringRequiredformat: uuid
The ID of the resource
namestringOptional
The name of the resource
specobjectTeamSpecSchemaReadRequired
Team specification.
Show 3 propertiesHide 3 properties
descriptionstringOptional0-256 characters
A description of the team.
membersmap from strings to objectTeamMemberSchemaReadOptional
The list of members.
Show value schemaHide value schema
[any key]object
Show 3 propertiesHide 3 properties
emailstringRequired
The email address of the team member
isTeamAdminbooleanRequired
Does this user have the ability to edit this team
namestringRequired
The name of the team member
scopesmap from strings to objectTeamScopeSchemaOptional
The set of scopes this team has access to, and the roles on each.
Show value schemaHide value schema
[any key]object
Show 1 propertyHide 1 property
roleslist of stringsRequired
The names of the roles.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code